package com.nisum.mytime.service;

import java.util.HashMap;
import java.util.List;

import com.mongodb.WriteResult;
import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Domains;

/**
 * @author Vijay
 *
 */
public interface DomainService  {

	String addDomains(Domains d)throws MyTimeException;
	
	List<HashMap<Object,Object>> getAllDomains() throws MyTimeException;
	
	String updateDomain(Domains d) throws MyTimeException;
	
	WriteResult deleteDomain(String id) throws MyTimeException;
}
